function [u, lambda] = pca1_m(S0, S1, S2)

% pca1_m  M-Step in the one facctor PCA model.
% Use: [u, lambda] = pca1_m(S0, S1, S2); where
%       S0 (scalar)
%       S1 (d x 1)
%       S2 (scalar)
%
% $Id: pca1_m.m,v 1.2 2010-07-15 17:08:14 cappe Exp $

% Dimension
d = length(S1); 
    
% Parameter estimates
u = S1/S2;
lambda = (S0 -(S1'*S1)/S2)/d;
